链接统计

GET https://xlin.cc/api/statistics/
curl --request GET \
--url 'https://xlin.cc/api/statistics/' \
--header 'Authorization: Bearer {api_key}' \
参数 详细信息 描述
start_date 必需 开始日期采用Y-m-d格式。
end_date 必需 结束日期采用Y-m-d格式。
project_id 可选 整数
type 可选 字符串 允许的值:overview, referrer_host, referrer_path, continent_code, country_code, city_name, os_name, browser_name, device_type, browser_language, utm_source, utm_medium, utm_campaign, hour
country_code 可选 字符串 可用时间:type = city_name
utm_source 可选 字符串 可用时间:type = utm_medium, utm_campaign
utm_medium 可选 字符串 可用时间:type = utm_campaign
referrer_host 可选 字符串 可用时间:type = referrer_path
{
    "data": [
        {
            "pageviews": 20,
            "visitors": 5,
            "formatted_date": "2021-01"
        },
        {
            "pageviews": 35,
            "visitors": 10,
            "formatted_date": "2021-02"
        },
        {
            "pageviews": 50,
            "visitors": 25,
            "formatted_date": "2021-03"
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://xlin.cc/api/statistics?page=1",
        "last": "https://xlin.cc/api/statistics?page=1",
        "next": null,
        "prev": null,
        "self": "https://xlin.cc/api/statistics?page=1"
    }
}
GET https://xlin.cc/api/statistics/{link_id}
参数 详细信息 描述
start_date 必需 开始日期采用Y-m-d格式。
end_date 必需 结束日期采用Y-m-d格式。
type 可选 字符串 允许的值:overview, referrer_host, referrer_path, continent_code, country_code, city_name, os_name, browser_name, device_type, browser_language, utm_source, utm_medium, utm_campaign, hour
country_code 可选 字符串 可用时间:type = city_name
utm_source 可选 字符串 可用时间:type = utm_medium, utm_campaign
utm_medium 可选 字符串 可用时间:type = utm_campaign
referrer_host 可选 字符串 可用时间:type = referrer_path
curl --request GET \
--url 'https://xlin.cc/api/statistics/{link_id}?start_date=2020-01-01&end_date=2021-01-01' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": [
        {
            "pageviews": 20,
            "visitors": 5,
            "formatted_date": "2021-01"
        },
        {
            "pageviews": 35,
            "visitors": 10,
            "formatted_date": "2021-02"
        },
        {
            "pageviews": 50,
            "visitors": 25,
            "formatted_date": "2021-03"
        }
    ]
}